# $Revision: 1.11 $, $Date: 2005/10/05 20:59:19 $
%include	/usr/lib/rpm/macros.php
%define		_class		Text
%define		_subclass	Password
%define		_status		stable
%define		_pearname	%{_class}_%{_subclass}

Summary:	%{_pearname} - creating passwords with PHP
Summary(pl):	%{_pearname} - tworzenie hase
Name:		php-pear-%{_pearname}
Version:	1.1.0
Release:	2
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	eec0b6af667ac16e14af067951253c94
URL:		http://pear.php.net/package/Text_Password/
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
Requires:	php-common >= 3:4.2.0
Requires:	php-pear
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Text_Password allows one to create pronounceable and unpronounceable
passwords. The full functional range is explained in the manual at
http://pear.php.net/manual/.

In PEAR status of this package is: %{_status}.

%description -l pl
Za pomoc Text_Password moliwe jest stworzenie dajcych si
wypowiedzie (lub nie) hase. Pena funkcjonalno opisana jest w
podrczniku dostpnym pod adresem http://pear.php.net/manual/

Ta klasa ma w PEAR status: %{_status}.

%package tests
Summary:	Tests for PEAR::%{_pearname}
Summary(pl):	Testy dla PEAR::%{_pearname}
Group:		Development
Requires:	%{name} = %{epoch}:%{version}-%{release}
AutoReq:	no

%description tests
Tests for PEAR::%{_pearname}.

%description tests -l pl
Testy dla PEAR::%{_pearname}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/%{_class}/*.php

%files tests
%defattr(644,root,root,755)
%{php_pear_dir}/tests/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-Text_Password.spec,v $
Revision 1.11  2005/10/05 20:59:19  glen
- rel 2

Revision 1.10  2005/10/03 22:59:16  glen
- semi automatically added deps from pear

Revision 1.9  2005/09/30 18:26:15  glen
- new pear packaging

Revision 1.8  2005/08/21 20:30:25  adamg
- updated to 1.1.0

Revision 1.7  2004/12/04 14:25:21  adamg
- rebuild with new PEAR provides/requires scripts
- release 2

Revision 1.6  2004/05/30 13:13:53  adamg
- fixed english information about status of the package

Revision 1.5  2004/03/15 17:44:32  ankry
- massive cosmetics

Revision 1.4  2003/10/07 20:56:16  adamg
- do not use macros in URL

Revision 1.3  2003/09/01 13:55:02  ankry
- md5

Revision 1.2  2003/08/31 20:49:11  adamg
- more specific URL

Revision 1.1  2003/06/03 21:21:23  adamg
- initial import
